> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v-2024-05-25/api/payables/get-payables/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Get payables GET https://api.sandbox.monite.com/v1/payables Lists all payables from the connected entity. If you already have the data of the payable (amount in [minor units]( https://docs.monite.com/references/currencies#minor-units), currency, vendor information, and other details) stored somewhere as individual attributes, you can create a payable with these attributes by calling [POST /payables](https://docs.monite.com/api/payables/post-payables) and providing the [base64-encoded]( https://en.wikipedia.org/wiki/Base64) contents of the original invoice file in the field `base64_encoded_file`. A payable is a financial document given by an entity`s supplier itemizing the purchase of a good or a service and demanding payment. The `file_name` field is optional. If omitted, it defaults to “default_file_name”. If the settings are configured to automatically set `suggested_payment_term`, this object can be omitted from the request body. The `id` generated for this payable can be used in other API calls to update the data of this payable or trigger [ status transitions](https://docs.monite.com/accounts-payable/approvals/manual-transition), for example. essential data fields to move from `draft` to `new` Related guide: [Create a payable from data](https://docs.monite.com/accounts-payable/payables/collect#create-a-payable-from-data) See also: [Automatic calculation of due date](https://docs.monite.com/accounts-payable/payables/collect#automatic-calculation-of-due-date) [Suggested payment date](https://docs.monite.com/accounts-payable/payables/collect#suggested-payment-date) [Attach file](https://docs.monite.com/accounts-payable/payables/collect#attach-file) [Collect payables by email](https://docs.monite.com/accounts-payable/payables/collect#send-payables-by-email) [Manage line items](https://docs.monite.com/accounts-payable/payables/line-items) Reference: https://docs.monite.com/api/payables/get-payables ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Query parameters - `order` (enum, optional) — Sort order (ascending by default). Typically used together with the `sort` parameter. - Allowed values: `asc`, `desc` - `limit` (integer, optional, default: 100) — The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page. - `pagination_token` (string, optional) — A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If `pagination_token` is specified, all other query parameters are ignored and inferred from the initial query. If not specified, the first page of results will be returned. - `sort` (enum, optional) — The field to sort the results by. Typically used together with the `order` parameter. - Allowed values: `id`, `created_at`, `issued_at` - `created_at__gt` (datetime, optional) — Return only payables created in Monite after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss[.ffffff]][Z|±hh:mm]. - `created_at__lt` (datetime, optional) — Return only payables created in Monite before the specified date and time. - `created_at__gte` (datetime, optional) — Return only payables created in Monite on or after the specified date and time. - `created_at__lte` (datetime, optional) — Return only payables created in Monite before or on the specified date and time. - `status` (enum, optional) — Return only payables that have the specified [status](https://docs.monite.com/accounts-payable/payables/index). To query multiple statuses at once, use the `status__in` parameter instead. - Allowed values: `draft`, `new`, `approve_in_progress`, `waiting_to_be_paid`, `partially_paid`, `paid`, `canceled`, `rejected` - `status__in` (enum, optional) — Return only payables that have the specified [statuses](https://docs.monite.com/accounts-payable/payables/index). To specify multiple statuses, repeat this parameter for each value: `status__in=draft&status__in=new` - Allowed values: `draft`, `new`, `approve_in_progress`, `waiting_to_be_paid`, `partially_paid`, `paid`, `canceled`, `rejected` - `id__in` (string, optional) — Return only payables with specified IDs. Valid but nonexistent IDs do not raise errors but produce no results. To specify multiple IDs, repeat this parameter for each value: `id__in=&id__in=` - `total_amount` (integer, optional) — Return only payables with the exact specified total amount. The amount must be specified in the minor units of currency. For example, $12.5 is represented as 1250. - `total_amount__gt` (integer, optional) — Return only payables whose total amount (in minor units) exceeds the specified value. - `total_amount__lt` (integer, optional) — Return only payables whose total amount (in minor units) is less than the specified value. - `total_amount__gte` (integer, optional) — Return only payables whose total amount (in minor units) is greater than or equal to the specified value. - `total_amount__lte` (integer, optional) — Return only payables whose total amount (in minor units) is less than or equal to the specified value. - `amount` (integer, optional) — Return only payables with the specified amount. - `amount__gt` (integer, optional) — Return only payables whose amount (in minor units) exceeds the specified value. - `amount__lt` (integer, optional) — Return only payables whose amount (in minor units) is less than the specified value. - `amount__gte` (integer, optional) — Return only payables whose amount (in minor units) is greater than or equal to the specified value. - `amount__lte` (integer, optional) — Return only payables whose amount (in minor units) is less than or equal to the specified value. - `currency` (enum, optional) — Return only payables that use the specified currency. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `counterpart_name` (string, optional) — Return only payables received from counterparts with the specified name (exact match, case-sensitive). For counterparts of `type = individual`, the full name is formatted as `first_name last_name`. - `counterpart_name__contains` (string, optional) — Return only payables received from counterparts whose name contains the specified string (case-sensitive). - `counterpart_name__icontains` (string, optional) — Return only payables received from counterparts whose name contains the specified string (case-insensitive). - `search_text` (string, optional) — Apply the `icontains` condition to search for the specified text in the `document_id` and `counterpart_name` fields in the payables. - `due_date` (string, optional) — Return payables that are due on the specified date (YYYY-MM-DD) - `due_date__gt` (string, optional) — Return payables that are due after the specified date (exclusive, YYYY-MM-DD). - `due_date__lt` (string, optional) — Return payables that are due before the specified date (exclusive, YYYY-MM-DD). - `due_date__gte` (string, optional) — Return payables that are due on or after the specified date (YYYY-MM-DD). - `due_date__lte` (string, optional) — Return payables that are due before or on the specified date (YYYY-MM-DD). - `issued_at` (string, optional) — Return payables that are issued at the specified date (YYYY-MM-DD) - `issued_at__gt` (string, optional) — Return payables that are issued after the specified date (exclusive, YYYY-MM-DD). - `issued_at__lt` (string, optional) — Return payables that are issued before the specified date (exclusive, YYYY-MM-DD). - `issued_at__gte` (string, optional) — Return payables that are issued on or after the specified date (YYYY-MM-DD). - `issued_at__lte` (string, optional) — Return payables that are issued before or on the specified date (YYYY-MM-DD). - `document_id` (string, optional) — Return a payable with the exact specified document number (case-sensitive). The `document_id` is the user-facing document number such as INV-00042, not to be confused with Monite resource IDs (`id`). - `document_id__contains` (string, optional) — Return only payables whose document number (`document_id`) contains the specified string (case-sensitive). - `document_id__icontains` (string, optional) — Return only payables whose document number (`document_id`) contains the specified string (case-insensitive). - `was_created_by_user_id` (string, optional) — Return only payables created in Monite by the entity user with the specified ID. - `counterpart_id` (string, optional) — Return only payables received from the counterpart with the specified ID. Counterparts that have been deleted but have associated payables will still return results here because the payables contain a frozen copy of the counterpart data. If the specified counterpart ID does not exist and never existed, no results are returned. - `source_of_payable_data` (enum, optional) — Return only payables coming from the specified source. - Allowed values: `ocr`, `user_specified`, `einvoicing` - `ocr_status` (enum, optional) — Return only payables with specific OCR statuses. - Allowed values: `processing`, `error`, `success`, `canceled` - `line_item_id` (string, optional) — Search for a payable by the identifier of the line item associated with it. - `purchase_order_id` (string, optional) — Search for a payable by the identifier of the purchase order associated with it. - `project_id` (string, optional) — Return only payables assigned to the project with the specified ID. Valid but nonexistent project IDs do not raise errors but return no results. - `project_id__in` (string, optional) — Return only payables whose `project_id` include at least one of the project_id with the specified IDs. Valid but nonexistent project IDs do not raise errors but produce no results. - `tag_ids` (string, optional) — Return only payables whose `tags` include at least one of the tags with the specified IDs. Valid but nonexistent tag IDs do not raise errors but produce no results. - `tag_ids__not_in` (string, optional) — Return only payables whose `tags` do not include any of the tags with the specified IDs. Valid but nonexistent tag IDs do not raise errors but produce the results. - `has_tags` (boolean, optional) — Filter objects based on whether they have tags. If true, only objects with tags are returned. If false, only objects without tags are returned. - `origin` (enum, optional) — Return only payables from a given origin ['einvoice', 'upload', 'email'] - Allowed values: `upload`, `email`, `einvoicing` - `has_file` (boolean, optional) — Return only payables with or without attachments (files) ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ## Response ### 200 Successful Response - `data` (list of PayableResponseSchema, required) - `next_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the next page of results, or `null` if there is no next page (i.e. you've reached the last page). - `prev_pagination_token` (string, optional) — A token that can be sent in the `pagination_token` query parameter to get the previous page of results, or `null` if there is no previous page (i.e. you've reached the first page). ## Errors ### 400 Get Payables Request Bad Request Error Bad Request - `error` (ErrorSchema2, required) ### 401 Get Payables Request Unauthorized Error The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls. - `error` (ErrorSchema2, required) ### 403 Get Payables Request Forbidden Error The specified access token does not have permissions to perform this operation. - `error` (ErrorSchema2, required) ### 406 Get Payables Request Not Acceptable Error Not Acceptable - `error` (ErrorSchema2, required) ### 422 Get Payables Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 429 Get Payables Request Too Many Requests Error API rate limit has been exceeded. Check the response headers for the rate limit information. - `any` ## Types ### PayableResponseSchema Represents an Accounts Payable document received from a vendor or supplier. - `id` (string, required) — A unique ID assigned to this payable. - `created_at` (datetime, required) — UTC date and time when this payable was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `updated_at` (datetime, required) — UTC date and time when this payable was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `credit_notes` (list of PayableCreditNoteData, required) — The list of linked credit notes of the payable. - `entity_id` (string, required) — The ID of the entity to which the payable was issued. - `payable_origin` (enum, required) — Specifies how this payable was created in Monite: `upload` - created via an API call, `email` - sent via email to the entity's mailbox. - Allowed values: `upload`, `email`, `einvoicing` - `source_of_payable_data` (enum, required) — Specifies how the property values of this payable were provided: `ocr` - Monite OCR service extracted the values from the provided PDF or image file, `user_specified` - values were added or updated via an API call. - Allowed values: `ocr`, `user_specified`, `einvoicing` - `status` (enum, required) — The [status](https://docs.monite.com/accounts-payable/payables/index) of the payable. - Allowed values: `draft`, `new`, `approve_in_progress`, `waiting_to_be_paid`, `partially_paid`, `paid`, `canceled`, `rejected` - `amount_due` (integer, optional) — How much is left to be paid on the invoice (in minor units). - `amount_paid` (integer, optional) — How much was paid on the invoice (in minor units). - `amount_to_pay` (integer, optional) — How much is left to be paid on the invoice (in minor units) with discounts from payment terms. - `approval_policy_id` (string, optional) — Id of existing approval policy that applies to this payable, if any. A policy is applied if the payable matches the policy trigger conditions. - `counterpart` (CounterpartRawData, optional) — Object representing de-normalized counterpart data. Filled at the moment of invoice submitting for approval or payment. - `counterpart_address_id` (string, optional) — The ID of counterpart address object stored in counterparts service - `counterpart_bank_account_id` (string, optional) — The ID of counterpart bank account object stored in counterparts service - `counterpart_id` (string, optional) — The ID of the counterpart object that represents the vendor or supplier. - `counterpart_raw_data` (CounterpartRawData, optional) — Object representing counterpart data which was extracted by OCR. Used for informational purposes. - `counterpart_vat_id_id` (string, optional) — The ID of counterpart VAT ID object stored in counterparts service - `created_by_role_id` (string, optional) — The ID of the role that the entity user who created this payable had at that time. If the payable was created using a partner access token, the value is `null`. - `currency` (enum, optional) — The [currency code](https://docs.monite.com/references/currencies) of the currency used in the payable. - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `SVC`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMW` - `currency_exchange` (CurrencyExchangeSchema2, optional) - `description` (string, optional) — An arbitrary description of this payable. - `discount` (integer, optional) — The value of the additional discount that will be applied to the total amount. in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `document_id` (string, optional) — A unique invoice number assigned by the invoice issuer for payment tracking purposes. This is different from `id` which is an internal ID created automatically by Monite. - `due_date` (string, optional) — The date by which the payable must be paid, in the YYYY-MM-DD format. If the payable specifies payment terms with early payment discounts, this is the final payment date. - `einvoice_file_url` (string, optional) — The URL to download the original e-invoice file. - `enforce_approval_policy_id` (string, optional) — Id of an existing approval policy that should be enforced when submitting the payable for approval.If this field is set, no other policies will be evaluated via their triggers - the specified policy will always be applied instead. - `file` (FileSchema, optional) — The original file from which this payable was created. - `file_id` (string, optional) — File id to retrieve file info from file saver. - `issued_at` (string, optional) — The date when the payable was issued, in the YYYY-MM-DD format. - `marked_as_paid_by_entity_user_id` (string, optional) — The ID of the entity user who marked this document as paid. - `marked_as_paid_with_comment` (string, optional) — An arbitrary comment that describes how and when this payable was paid. - `ocr_request_id` (string, optional) — Id of OCR request to match asynchronous result of processing payable. - `ocr_status` (enum, optional) — The status of the data recognition process using OCR. The 'processing' status means that the data recognition is in progress and the user needs to wait for the data enrichment. The 'error' status indicates that some error occurred on the OCR side and the user can fill in the data manually. The 'success' status means the data recognition has been successfully completed, after which the user can check the data if desired and enrich or correct it. - Allowed values: `processing`, `error`, `success`, `canceled` - `other_extracted_data` (PayableResponseSchemaOtherExtractedData, optional) — Data extracted from the uploaded payable by OCR. - `paid_at` (datetime, optional) — The date by which the payable was paid - `partner_metadata` (map from string to any, optional) — Metadata for partner needs - `payment_terms` (PayablePaymentTermsCreatePayload, optional) — The number of days to pay with potential discount for options shorter than due_date - `project_id` (string, optional) — Project ID of a payable. - `purchase_order_id` (string, optional) — The identifier of the purchase order to which this payable belongs. - `sender` (string, optional) — The email address from which the invoice was sent to the entity. - `subtotal` (integer, optional) — The subtotal amount to be paid, in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `suggested_payment_term` (SuggestedPaymentTerm, optional) — The suggested date and corresponding discount in which payable could be paid. The date is in the YYYY-MM-DD format. The discount is calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%, 10000 is 100 %. Date varies depending on the payment terms and may even be equal to the due date with discount 0. - `tags` (list of TagReadSchema, optional) — A list of user-defined tags (labels) assigned to this payable. Tags can be used to trigger a specific approval policy for this payable. - `tax` (integer, optional) — Registered tax percentage applied for a service price in minor units, e.g. 200 means 2%, 1050 means 10.5%. - `tax_amount` (integer, optional) — Tax amount in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `total_amount` (integer, optional) — The total amount to be paid, in [minor units](https://docs.monite.com/references/currencies#minor-units). For example, $12.50 is represented as 1250. - `total_amount_with_credit_notes` (integer, optional) — The total price of the payable in [minor units](https://docs.monite.com/references/currencies#minor-units), excluding all issued credit notes. - `was_created_by_user_id` (string, optional) ### ErrorSchema2 - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### PayableCreditNoteData - `id` (string, required) — The unique identifier of the credit note. - `status` (string, required) — The current status of the credit note in its lifecycle - `document_id` (string, optional) — The credit note's unique document number. - `issued_at` (string, optional) — The date when the credit note was issued, in the YYYY-MM-DD format - `total_amount` (integer, optional) — Credit note total amount. ### CounterpartRawData - `address` (CounterpartRawAddress, optional) — The address of the vendor or supplier. - `bank_account` (CounterpartRawBankAccount, optional) — Object representing counterpart bank account. - `email` (string, optional) — The email address of the organization - `name` (string, optional) — Vendor or supplier name. - `phone` (string, optional) — The phone number of the organization - `tax_id` (string, optional) — The tax id of the counterpart. - `vat_id` (CounterpartRawVatId, optional) — VAT ID of the vendor or supplier which was used in the invoice. ### CurrencyExchangeSchema2 - `default_currency_code` (string, required) - `rate` (double, required) - `total` (double, required) ### FileSchema Represents a file (such as a PDF invoice) that was uploaded to Monite. - `id` (string, required) — A unique ID of this file. - `created_at` (datetime, required) — UTC date and time when this file was uploaded to Monite. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. - `file_type` (string, required) — The type of the business object associated with this file. - `md5` (string, required) — The MD5 hash of the file. - `mimetype` (string, required) — The file's [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types). - `name` (string, required) — The original file name (if available). - `region` (string, required) — Geographical region of the data center where the file is stored. - `size` (integer, required) — The file size in bytes. - `url` (string, required) — The URL to download the file. - `pages` (list of PageSchema2, optional) — If the file is a PDF document, this property contains individual pages extracted from the file. Otherwise, an empty array. - `previews` (list of PreviewSchema2, optional) — Preview images generated for this file. There can be multiple images with different sizes. ### PayableResponseSchemaOtherExtractedData Data extracted from the uploaded payable by OCR. ### PayablePaymentTermsCreatePayload - `name` (string, required) - `term_final` (PayablePaymentTermFinal, required) - `description` (string, optional) - `term_1` (PayablePaymentTermDiscount, optional) - `term_2` (PayablePaymentTermDiscount, optional) ### SuggestedPaymentTerm Suggested payment date and corresponding discount - `date` (string, required) - `discount` (integer, optional) ### TagReadSchema Represents a user-defined tag that can be assigned to resources to filter them. - `id` (string, required) — A unique ID of this tag. - `created_at` (datetime, required) — Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `updated_at` (datetime, required) — Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `name` (string, required) — The tag name. - `category` (enum, optional) — The tag category. - Allowed values: `document_type`, `department`, `project`, `cost_center`, `vendor_type`, `payment_method`, `approval_status` - `created_by_entity_user_id` (string, optional) — ID of the user who created the tag. - `description` (string, optional) — The tag description. ### ValidationErrorLocItem ### CounterpartRawAddress Address information. - `city` (string, optional) — City name. - `country` (enum, optional) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `line1` (string, optional) — Street address. - `line2` (string, optional) — Additional address information (if any). - `postal_code` (string, optional) — ZIP or postal code. - `state` (string, optional) — State, region, province, or county. ### CounterpartRawBankAccount - `account_holder_name` (string, optional) — Vendor's bank account name. - `account_number` (string, optional) — Vendor's bank account number, IBAN, or similar (if specified in the payable document). - `bic` (string, optional) — SWIFT code (BIC) of the vendor's bank. - `iban` (string, optional) — required for non-GB bank accounts - `routing_number` (string, optional) — required for US bank accounts - `sort_code` (string, optional) — required for GB bank accounts ### CounterpartRawVatId - `country` (enum, optional) - Allowed values: `AF`, `AX`, `AL`, `DZ`, `AS`, `AD`, `AO`, `AI`, `AQ`, `AG`, `AR`, `AM`, `AW`, `AU`, `AT`, `AZ`, `BS`, `BH`, `BD`, `BB`, `BY`, `BE`, `BZ`, `BJ`, `BM`, `BT`, `BO`, `BA`, `BW`, `BV`, `BR`, `IO`, `BN`, `BG`, `BF`, `BI`, `KH`, `CM`, `CA`, `IC`, `CV`, `KY`, `CF`, `EA`, `TD`, `CL`, `CN`, `CX`, `CC`, `CO`, `KM`, `CG`, `CD`, `CK`, `CR`, `CI`, `HR`, `CU`, `CY`, `CZ`, `DK`, `DJ`, `DM`, `DO`, `EC`, `EG`, `SV`, `GQ`, `ER`, `EE`, `SZ`, `ET`, `FK`, `FO`, `FJ`, `FI`, `FR`, `GF`, `PF`, `TF`, `GA`, `GM`, `GE`, `DE`, `GH`, `GI`, `GR`, `GL`, `GD`, `GP`, `GU`, `GT`, `GG`, `GN`, `GW`, `GY`, `HT`, `HM`, `VA`, `HN`, `HK`, `HU`, `IS`, `IN`, `ID`, `IR`, `IQ`, `IE`, `IM`, `IL`, `IT`, `JM`, `JP`, `JE`, `JO`, `KZ`, `KE`, `KI`, `KP`, `KR`, `KW`, `KG`, `LA`, `LV`, `LB`, `LS`, `LR`, `LY`, `LI`, `LT`, `LU`, `MO`, `MG`, `MW`, `MY`, `MV`, `ML`, `MT`, `MH`, `MQ`, `MR`, `MU`, `YT`, `MX`, `FM`, `MD`, `MC`, `MN`, `ME`, `MS`, `MA`, `MZ`, `MM`, `NA`, `NR`, `NP`, `NL`, `AN`, `NC`, `NZ`, `NI`, `NE`, `NG`, `NU`, `NF`, `MP`, `MK`, `NO`, `OM`, `PK`, `PW`, `PS`, `PA`, `PG`, `PY`, `PE`, `PH`, `PN`, `PL`, `PT`, `PR`, `QA`, `RE`, `RO`, `RU`, `RW`, `SH`, `KN`, `LC`, `PM`, `VC`, `WS`, `SM`, `ST`, `SA`, `SN`, `RS`, `SC`, `SL`, `SG`, `SK`, `SI`, `SB`, `SO`, `ZA`, `SS`, `GS`, `ES`, `LK`, `SD`, `SR`, `SJ`, `SE`, `CH`, `SY`, `TW`, `TJ`, `TZ`, `TH`, `TL`, `TG`, `TK`, `TO`, `TT`, `TN`, `TR`, `TM`, `TC`, `TV`, `UG`, `UA`, `AE`, `GB`, `US`, `UM`, `UY`, `UZ`, `VU`, `VE`, `VN`, `VG`, `VI`, `WF`, `EH`, `YE`, `ZM`, `ZW`, `BL`, `BQ`, `CW`, `MF`, `SX` - `type` (string, optional) - `value` (string, optional) ### PageSchema2 When a PDF document is uploaded to Monite, it extracts individual pages from the document and saves them as PNG images. This object contains the image and metadata of a single page. - `id` (string, required) — A unique ID of the image. - `mimetype` (string, required) — The [media type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types) of the image. - `number` (integer, required) — The page number in the PDF document, from 0. - `size` (integer, required) — Image file size, in bytes. - `url` (string, required) — The URL to download the image. ### PreviewSchema2 A preview image generated for a file. - `height` (integer, required) — The image height in pixels. - `url` (string, required) — The image URL. - `width` (integer, required) — The image width in pixels. ### OcrResponseInvoiceReceiptData - `counterpart_account_id` (string, optional) — Counterpart bank ID - `counterpart_account_number` (string, optional) — The bank account number - `counterpart_address` (string, optional) — Counterpart address - `counterpart_address_object` (OcrAddress, optional) — Counterpart address as a json object compatible with counterparts service - `counterpart_branch_number` (string, optional) — The bank branch number - `counterpart_email` (string, optional) — Email address of the counterpart - `counterpart_name` (string, optional) — Counterpart name - `counterpart_routing_number` (string, optional) — The bank routing number - `counterpart_vat_id` (string, optional) — Counterpart VAT ID - `currency` (string, optional) — ISO 4217 currency code - `discount_raw` (double, optional) — Discount Raw amount - `document_due_date` (string, optional) — Document due date in ISO format - `document_id` (string, optional) — Invoice/receipt ID - `document_issued_at_date` (string, optional) — Document issuance date in ISO format - `line_items_raw` (list of OcrResponseInvoiceReceiptLineItemRaw, optional) — List of line items from document raw, without minor units conversion. - `payment_terms_raw` (list of string, optional) — Raw payment terms parsed but not calculated. - `purchase_order_number` (string, optional) — Purchase Order Number - `tax_payer_id` (string, optional) — Tax payer ID - `total_excl_vat_raw` (double, optional) — Subtotal, without minor units - `total_paid_amount_raw` (double, optional, default: 0) — Total paid amount - `total_raw` (double, optional) — Total, without minor units - `total_vat_amount_raw` (double, optional) — VAT amount, without minor units - `total_vat_rate_raw` (double, optional) — VAT Percent raw, without minor units. - `type` ("invoice", optional) ### OcrRecognitionResponse Contains information about all text blocks extracted from an uploaded invoice by OCR. The text blocks are grouped into `line_items` (invoice line items) and `summary` (all other information). Legacy schema used for AWS textract recognition. - `line_items` (list of LabelNValue, optional) — Text content of the invoice line items as recognized by OCR. - `summary` (list of LabelNValue, optional) — Invoice text content other than the line items. Such as the invoice issue and due dates, vendor name and address, and other general information. ### PayablePaymentTermFinal - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### PayablePaymentTermDiscount - `discount` (integer, required) — The discount percentage in minor units. E.g., 200 means 2%, 1050 means 10.5%. - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### OcrAddress In general it's compatible with CounterpartAddress model but * All fields are optional * There is an additional field original_country_name - `city` (string, optional) — City name. - `country` (string, optional) — Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `line1` (string, optional) — Street address. - `line2` (string, optional) — Additional address information (if any). - `original_country_name` (string, optional) — Country name as it is stated in the document. - `postal_code` (string, optional) — ZIP or postal code. - `state` (string, optional) — State, region, province, or county. ### OcrResponseInvoiceReceiptLineItemRaw - `description` (string, optional) — Human-readable line item description - `item_adjusted` (boolean, optional, default: false) — Item Quantity/Unit Price adjusted - `line_item_ocr_id` (string, optional) — OCR Id of line item - `quantity` (double, optional) — Quantity - `total_excl_vat` (double, optional) — Total excluded VAT as parsed. - `total_incl_vat` (double, optional) — Total included VAT as parsed. - `unit` (string, optional) — Unit - `unit_price` (double, optional) — Price as parsed - `vat_amount` (double, optional) — VAT Amount as parsed. - `vat_percentage` (double, optional) — VAT Percent as parsed. ### LabelNValue A label-value pair extracted from an uploaded document by OCR. For example, the label could be "Total" and the value could be a currency amount. - `label` (Item, required) — Text label. - `value` (Item, required) — The value (if any). ### Item Contains information about a text block or line extracted from an uploaded document by OCR. - `confidence` (double, required) — OCR confidence score - the estimated accuracy percentage of character recognition of the extracted text, from 0 to 100%. - `text` (string, required) — The text as recognized by OCR. - `processed_text` (any, optional) ## Examples **Response** ```json { "data": [ { "id": "id", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "credit_notes": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "status": "submitted_for_approval", "document_id": "CN-123456", "issued_at": "2024-01-15", "total_amount": 1000 } ], "entity_id": "entity_id", "payable_origin": "upload", "source_of_payable_data": "ocr", "status": "draft", "amount_due": 1000, "amount_paid": 1000, "amount_to_pay": 1000, "approval_policy_id": "approval_policy_id", "counterpart": { "address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "line2": "line2", "postal_code": "10115", "state": "state" }, "bank_account": { "account_holder_name": "account_holder_name", "account_number": "123456789012", "bic": "DEUTDE2HXXX", "iban": "iban", "routing_number": "routing_number", "sort_code": "sort_code" }, "email": "acme@example.com", "name": "Acme Inc.", "phone": "5551231234", "tax_id": "DE12345678", "vat_id": { "country": "AF", "type": "type", "value": "value" } }, "counterpart_address_id": "counterpart_address_id", "counterpart_bank_account_id": "counterpart_bank_account_id", "counterpart_id": "counterpart_id", "counterpart_raw_data": { "address": { "city": "Berlin", "country": "AF", "line1": "Flughafenstrasse 52", "line2": "line2", "postal_code": "10115", "state": "state" }, "bank_account": { "account_holder_name": "account_holder_name", "account_number": "123456789012", "bic": "DEUTDE2HXXX", "iban": "iban", "routing_number": "routing_number", "sort_code": "sort_code" }, "email": "acme@example.com", "name": "Acme Inc.", "phone": "5551231234", "tax_id": "DE12345678", "vat_id": { "country": "AF", "type": "type", "value": "value" } }, "counterpart_vat_id_id": "counterpart_vat_id_id", "created_by_role_id": "created_by_role_id", "currency": "AED", "currency_exchange": { "default_currency_code": "default_currency_code", "rate": 1.1, "total": 1.1 }, "description": "description", "discount": 500, "document_id": "DE2287", "due_date": "due_date", "einvoice_file_url": "https://bucketname.s3.amazonaws.com/12345/67890.xml", "enforce_approval_policy_id": "enforce_approval_policy_id", "file": { "id": "id", "created_at": "2024-01-15T09:30:00Z", "file_type": "payables", "md5": "31d1a2dd1ad3dfc39be849d70a68dac0", "mimetype": "application/pdf", "name": "invoice.pdf", "region": "eu-central-1", "size": 24381, "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf", "pages": [ { "id": "id", "mimetype": "image/png", "number": 0, "size": 21972, "url": "https://bucket.s3.amazonaws.com/123/456.png" } ], "previews": [ { "height": 400, "url": "https://bucketname.s3.amazonaws.com/1/2/3.png", "width": 200 } ] }, "file_id": "file_id", "issued_at": "issued_at", "marked_as_paid_by_entity_user_id": "71e8875a-43b3-434f-b12a-54c84c176ef3", "marked_as_paid_with_comment": "Was paid partly in the end of the month.", "ocr_request_id": "ocr_request_id", "ocr_status": "processing", "other_extracted_data": { "counterpart_account_id": "DEUTDEFF", "counterpart_account_number": "counterpart_account_number", "counterpart_address": "counterpart_address", "counterpart_address_object": { "city": "Berlin", "country": "DE", "line1": "Flughafenstrasse 52", "line2": "line2", "original_country_name": "Berlin", "postal_code": "10115", "state": "state" }, "counterpart_branch_number": "counterpart_branch_number", "counterpart_email": "counterpart_email", "counterpart_name": "Monite GMbH", "counterpart_routing_number": "counterpart_routing_number", "counterpart_vat_id": "DE88939004", "currency": "EUR", "discount_raw": 1.1, "document_due_date": "document_due_date", "document_id": "CST-13341", "document_issued_at_date": "document_issued_at_date", "line_items_raw": [ { "description": "Impact Players : How to Take the Lead , Play Bigger , and Multiply Your", "item_adjusted": true, "line_item_ocr_id": "line_item_ocr_id", "quantity": 1.2, "total_excl_vat": 120, "total_incl_vat": 135, "unit": "meters", "unit_price": 100, "vat_amount": 15, "vat_percentage": 12.5 } ], "payment_terms_raw": [ "payment_terms_raw" ], "purchase_order_number": "1234", "tax_payer_id": "12345678901", "total_excl_vat_raw": 77, "total_paid_amount_raw": 50, "total_raw": 70, "total_vat_amount_raw": 7, "total_vat_rate_raw": 12.5, "type": "invoice" }, "paid_at": "2024-01-15T09:30:00Z", "partner_metadata": { "key": "value" }, "payment_terms": { "name": "name", "term_final": { "number_of_days": 1 }, "description": "description", "term_1": { "discount": 1, "number_of_days": 1 }, "term_2": { "discount": 1, "number_of_days": 1 } }, "project_id": "project_id", "purchase_order_id": "purchase_order_id", "sender": "hello@example.com", "subtotal": 1250, "suggested_payment_term": { "date": "date", "discount": 1 }, "tags": [ { "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "created_at": "2022-09-07T16:35:18Z", "updated_at": "2022-09-07T16:35:18Z", "name": "Marketing", "category": "document_type", "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "description": "Tag for the Marketing Department" } ], "tax": 2000, "tax_amount": 250, "total_amount": 1500, "total_amount_with_credit_notes": 1, "was_created_by_user_id": "was_created_by_user_id" } ], "next_pagination_token": "next_pagination_token", "prev_pagination_token": "prev_pagination_token" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/payables" headers = { "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/payables'; const options = { method: 'GET', headers: { 'x-monite-version': '2024-05-25', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/payables" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-monite-version", "2024-05-25") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/payables") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-monite-version"] = '2024-05-25' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.sandbox.monite.com/v1/payables") .header("x-monite-version", "2024-05-25") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.sandbox.monite.com/v1/payables', [ 'headers' => [ 'Authorization' => 'Bearer ', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-05-25', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/payables"); var request = new RestRequest(Method.GET); request.AddHeader("x-monite-version", "2024-05-25"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payables")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```